osl::move_probability::LongRecapture Class Reference

`#include <feature.h>`

Inheritance diagram for osl::move_probability::LongRecapture:

## Public Types

enum | { DIM = BlockLong::LongAttackSize * PTYPE_SIZE }

## Public Member Functions

| LongRecapture ()
double | match (const StateInfo &info, const MoveInfo &move, int offset, const double *w) const
Public Member Functions inherited from osl::move_probability::Feature
| Feature (std::string n, size_t d)
virtual | ~Feature ()
std::string | name () const
size_t | dimension () const

## Additional Inherited Members

Static Public Member Functions inherited from osl::move_probability::Feature
static int | classifyEffect9 (const NumEffectState &state, Player player, Square to)

## Detailed Description

Definition at line 803 of file move_probability/feature.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 806 of file move_probability/feature.h.

## Constructor & Destructor Documentation

## LongRecapture()

osl::move_probability::LongRecapture::LongRecapture | ( |  | ) |

inline

Definition at line 809 of file move_probability/feature.h.

References DIM, and osl::move_probability::Feature::Feature().

## Member Function Documentation

## match()

double osl::move_probability::LongRecapture::match | ( | const StateInfo & | info,
|  | const MoveInfo & | move,
|  | int | offset,
|  | const double * | w ) const

inline virtual

Implements osl::move_probability::Feature.

Definition at line 812 of file move_probability/feature.h.

References osl::alt(), osl::NumEffectState::countEffect(), osl::move_probability::BlockLong::findAll(), osl::NumEffectState::findCheapAttack(), osl::NumEffectState::hasEffectByPiece(), osl::Move::isDrop(), osl::SimpleState::kingPiece(), osl::move_probability::BlockLong::LongAttackSize, osl::move_probability::MoveInfo::move, osl::move_probability::MoveInfo::player, osl::Move::ptype(), osl::PTYPE_EMPTY, osl::move_probability::MoveInfo::see, osl::Piece::square(), osl::move_probability::StateInfo::state, and osl::Move::to().

The documentation for this class was generated from the following file:

- move_probability/feature.h